Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608658 - Thunderbird run as root? Just say NO!
Thunderbird run as root? Just say NO!
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: thunderbird (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Horak
Desktop QE
: Triaged
Depends On: 608656
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 08:18 EDT by Matěj Cepl
Modified: 2012-03-23 10:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 608656
Environment:
Last Closed: 2012-03-23 10:17:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2010-06-28 08:18:40 EDT
+++ This bug was initially created as a clone of Bug #608656 +++

Description of problem:
Given the checkered security history of Firefox (and Thunderbird), and given that Gnome doesn't support running as root at all, I would vote for strictly forbidding running FF (and TB) as root even with something so brutal as

if [ "$UID" -eq 0 ] ; then
    # something horrible
fi

Version-Release number of selected component (if applicable):
firefox-3.6.4-7.el6.x86_64
thunderbird-3.1-1.el6.x86_64
xulrunner-1.9.2.4-6.el6.x86_64
Comment 2 RHEL Product and Program Management 2010-06-28 08:42:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 RHEL Product and Program Management 2010-07-15 10:45:57 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 RHEL Product and Program Management 2011-01-07 10:54:03 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 6 RHEL Product and Program Management 2011-02-01 00:58:28 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 7 RHEL Product and Program Management 2011-02-01 13:26:07 EST
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.
Comment 8 RHEL Product and Program Management 2011-04-03 22:29:33 EDT
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 9 RHEL Product and Program Management 2011-10-07 12:08:01 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.